
#include <Wire.h>
#include <Tiny4kOLED.h>

int incomingByte = 0; // for incoming serial data

void setup() {

  
  oled.begin(); // Send the initialization sequence to the oled. 
               //This leaves the display turned off
  oled.clear(); // Clear the memory before turning on the display
  oled.on(); // Turn on the display
  oled.switchRenderFrame();  // Switch the half of RAM that we are writing to, 
                             //to be the half that is non currently displayed
  Serial.begin(9600); // opens serial port, sets data rate to 9600 bps

}

void loop() {

  oled.clear();   // Clear the non-displayed half of the memory to all black
                 // (The previous clear only cleared the other half of RAM)
  oled.setFont(FONT8X16);  // The characters in the 8x16 font are 8 pixels wide and 16 pixels tall
 
  oled.setCursor(12, 0); // Position the cursor. X IN PIXELS, Y IN ROWS OF 8 PIXELS STARTING WITH 0);

  
 
  oled.print(F("Hello World!")); // Write the text to oled RAM (which is not currently being displayed)
                                 // Wrap strings in F() to save RAM!
  
  if (Serial.available() > 0) // reply only when you receive data:
 {
    
    incomingByte = Serial.read(); // read the incoming byte:

   
    oled.print("I received: ");    // say what you got:
    oled.println(incomingByte, DEC);  // print what you got
  }

  
  oled.switchFrame();  // Swap which half of RAM is being written to, and which half is being displayed

  delay(3000);
}
